//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;

/* Nyáron és télen is végeztünk madármegfigyeléseket a Balatonon.
 * Ismerjük, hogy nyáron, illetve télen mely madárfajok fordultak elő.
 * állapítsuk meg ezek alapján, hogy melyek a nem költöző madarak!
 */
public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Input {
        int N;
        String[] Nyariak = new String[MaxN];
        int M;
        String[] Teliek = new String[MaxN];
    }

    static class Output {
        int Db;
        String[] Nem_Koltozok = new String[MaxN];
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();
        PrintStream cerr = System.err;

        cerr.print("Nyari madarfajok szama = ");
        input.N = io.nextInt();
        io.getLine();

        for (int i = 0; i < input.N; i++) {
            cerr.print("A(z) " + (i + 1) + ".  nyari madarfajta neve = ");
            input.Nyariak[i] = io.getLine();
        }

        cerr.print("Teli madarfajok szama = ");
        input.M = io.nextInt();
        io.getLine();
        for (int i = 0; i < input.M; i++) {
            cerr.print("A(z) " + (i + 1) + ". teli madarfajta neve = ");
            input.Teliek[i] = io.getLine();
        }

        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        PrintStream cerr = System.err;
        cerr.println("Nem koltozo madarak darabszama es nevei: ");
        io.write(output.Db);
        for (int i = 1; i <= output.Db; i++) {
            io.write(" " + output.Nem_Koltozok[i - 1]);
        }
        io.writeLn("");
    }

    static Output Metszet(Input input) {
        Output output = new Output();
        output.Db = 0;
        for (int i = 1; i <= input.N; i++) {
            int j = 1;
            while ((j <= input.M) && (!input.Nyariak[i - 1].equals(input.Teliek[j - 1]))) {
                j++;
            }
            if (j <= input.M) {
                output.Db = output.Db + 1;
                output.Nem_Koltozok[output.Db - 1] = input.Nyariak[i - 1];
            }
        }
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Metszet(input);

        kiir(io, input, output);

        io.close();
    }

}