//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;


public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Input {
        int N;
        int[] Primosztok1 = new int[MaxN];
        int M;
        int[] Primosztok2 = new int[MaxN];
    }

    static class Output {
        int Db;
        int[] Primosztok_LKKT = new int[2 * MaxN];
    }

    static Input beolvas(IO io) throws IOException {
        PrintStream cerr = System.err;
        Input input = new Input();
        cerr.print("Az elso szam primtenyezoinek szama = ");
        input.N = io.nextInt();

        for (int i = 0; i < input.N; i++) {
            cerr.print("  Az elso szam " + (i + 1) + ".  primtenyezoje = ");
            input.Primosztok1[i] = io.nextInt();
        }

        cerr.print("A masodik szam primtenyezoinek szama = ");
        input.M = io.nextInt();
        for (int i = 0; i < input.M; i++) {
            cerr.print("  A masodik szam " + (i + 1) + ".  primtenyezoje = ");
            input.Primosztok2[i] = io.nextInt();
        }

        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        PrintStream cerr = System.err;
        cerr.println("Legkisebb kozos tobbszorosuk primosztok darabszama: ");
        io.writeLn(output.Db);
        cerr.println("Legkisebb kozos tobbszorosuk primosztoi: ");
        for (int i = 1; i <= output.Db; i++) {
            io.write(output.Primosztok_LKKT[i - 1] + " ");
        }
        io.writeLn("");
    }

    static Output Egyesites(Input input) {
        Output output = new Output();
        for (int i = 1; i <= input.N; i++) {
            output.Primosztok_LKKT[i - 1] = input.Primosztok1[i - 1];
        }
        output.Db = input.N;

        for (int j = 1; j <= input.M; j++) {
            int i = 1;
            while ((i <= input.N) && (input.Primosztok1[i - 1] != input.Primosztok2[j - 1])) {
                i++;
            }
            if (i > input.N) {
                output.Db++;
                output.Primosztok_LKKT[output.Db - 1] = input.Primosztok2[j - 1];
            }
        }
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Egyesites(input);

        kiir(io, input, output);

        io.close();
    }

}