Program Masolas_maximumkivalasztas_Program;
(*
  Feladat: Nyron s tlen is vgeztnk madrmegfigyelseket a Balatonon. 
           Ismerjk, hogy nyron, illetve tlen mely madrfajok fordultak el. 
           llaptsuk meg ezek alapjn, hogy melyek a nem kltz madarak!

  Kdols: IBM852
*)
  Const
    MaxN=100;
  Type
    TSzovegek=Array [1..MaxN] of String;
  Var
    N,M:Integer;
    Nyariak,Teliek:TSzovegek;
    Db:Integer;
    Nem_Koltozok:TSzovegek;


  Procedure Beolvasas(Var N,M:Integer; Var Nyariak,Teliek:TSzovegek);
    Var
      i:integer;
  Begin
    //A felhasznlnak sznt tjkoztat zenetek az StrErr csatotnra randk!
    //Pldul a krdsek:
    Write(StdErr,'Nyari madarak szama (1..',MaxN,'):');
    //A bemenetet nem ellenrizzk sem szintaktikai, sem szemantikai szempontbl.
    Readln(N);//1<=N<=MaxN
    For i:=1 to N do
    Begin
      Write(StdErr,i:3,'. madarnev:'); 
      Readln(Nyariak[i]);//Nyari[i] nem res s nem ismtld szveg
    End;
    Write(StdErr,'Teli madarak szama (1..',MaxN,'):');
    Readln(M);//1<=M<=MaxN
    For i:=1 to M do
    Begin
      Write(StdErr,i:3,'. madarnev:'); 
      Readln(Teliek[i]);//Teli[i] nem res s nem ismtld szveg
    End;
  End;

  Procedure Metszet(Const N,M:Integer; Const Nyariak,Teliek:TSzovegek;
                    Var Db:Integer; Var Nem_Koltozok:TSzovegek);
    Var
      i,j:Integer;
  Begin
    Db:=0;
    For i:=1 to N do //kivlogats
    Begin
      j:=1;
      While (j<=M) and (Nyariak[i]<>Teliek[j]) do //eldnts
      Begin
        Inc(j); //ugyanaz, mint j:=j+1
      End;
      If j<=M then 
      Begin
        Inc(Db); 
        Nem_Koltozok[Db]:=Nyariak[i];
      End;
    End;
  End;

  Procedure Kiiras(Const Db:Integer; Const Nem_Koltozok:TSzovegek);
    Var
      i:Integer;
  Begin
    //A kimenetet ksr szvegek is az StdErr-re irandk!
    Write(StdErr,'A nem koltozok szama, majd a nem koltozok nevei (vesszovel elvalasztva):'); 
    Write(Db);//lnyeg: kimenet
    If Db>0 then
    Begin
      Write(' ');
    End
      else
    Begin
      Writeln
    End;
    For i:=1 to Db-1 do
    Begin
      Write(Nem_Koltozok[i]+',');//lnyeg: kimenet
    End;
    If Db>0 then
    Begin
      Writeln(Nem_Koltozok[Db]);//lnyeg: kimenet
    End;
  End;
  
Begin
  Beolvasas(N,M,Nyariak,Teliek);
  Metszet(N,M,Nyariak,Teliek,Db,Nem_Koltozok);
  Kiiras(Db,Nem_Koltozok);
End.
