/*
Nyáron és télen is végeztünk madármegfigyeléseket a Balatonon. Ismerjük, hogy nyáron, illetve télen mely madárfajok fordultak elő. Állapítsuk meg ezek alapján, hogy melyek a nem költöző madarak!
*/
#include <iostream>

using namespace std;

const int MAXN = 100;
typedef string Madarnevek[MAXN];
// Bemenet
int N, M;
Madarnevek Nyariak;
Madarnevek Teliek; 
// Kimenet
int Db;
Madarnevek Nem_Koltozok;

void Beolvasas(int &N, Madarnevek Nyariak, int &M, Madarnevek Teliek) {
  clog << "Nyari madarfajok szama = ";
  cin >> N;
  for (int i = 0; i < N; i++) {
    clog << "A(z) " << i + 1 << ".  nyari madarfajta neve = ";
    cin >> Nyariak[i];
  }

  clog << "Teli madarfajok szama = ";
  cin >> M;
  for (int i = 0; i < M; i++) {
    clog << "A(z) " << i + 1 << ". teli madarfajta neve = ";
    cin >> Teliek[i];
  }
}

void Metszet(const int N, const Madarnevek Nyariak,
             const int M, const Madarnevek Teliek,
             int &Db, Madarnevek Nem_Koltozok) {
  Db = 0;
  for (int i = 1; i <= N; i++) {
    int j = 1;
    while (j <= M and Nyariak[i - 1] != Teliek[j - 1]) {
      j++;
    }
    if (j <= M) {
      Db = Db + 1;
      Nem_Koltozok[Db - 1] = Nyariak[i - 1];
    }
  }
}

void Kiiras(const int Db, const Madarnevek Nem_Koltozok) {
  clog << "Nem koltozo madarak darabszama es nevei: " << endl;
  cout << Db;
  for (int i = 1; i <= Db; i++) {
    cout << " " << Nem_Koltozok[i - 1];
  }
  cout << endl;
}

int main() {
  
  Beolvasas(N, Nyariak, M, Teliek);
  Metszet(N, Nyariak, M, Teliek, Db, Nem_Koltozok);
  Kiiras(Db, Nem_Koltozok);
  
  return 0;
}