/*
Két szám prímosztóinak ismeretében adjuk meg legkisebb közös többszörösük prímosztóit!
*/
#include <iostream>

using namespace std;

const int MAXN = 100;
typedef int Egeszek[MAXN];
typedef int LKKTEgeszek[2 * MAXN];
// Bemenet
int N, M;
Egeszek Primosztok1;
Egeszek Primosztok2;
// Kimenet
int Db;
LKKTEgeszek Primosztok_LKKT;

void Beolvasas(int &N, Egeszek Primosztok1, int &M, Egeszek Primosztok2) {
  clog << "Az elso szam primtenyezoinek szama = ";
  cin >> N;
  for (int i = 0; i < N; i++) {
    clog << "  Az elso szam " << i + 1 << ".  primtenyezoje = ";
    cin >> Primosztok1[i];
  }

  clog << "A masodik szam primtenyezoinek szama = ";
  cin >> M;
  for (int i = 0; i < M; i++) {
    clog << "  A masodik szam " << i + 1 << ".  primtenyezoje = ";
    cin >> Primosztok2[i];
  }
}

void Egyesites(const int N, const Egeszek Primosztok1,
               const int M, const Egeszek Primosztok2,
               int &Db, LKKTEgeszek Primosztok_LKKT) {
  for (int i = 1; i <= N; i++) {
    Primosztok_LKKT[i - 1] = Primosztok1[i - 1];
  }
  Db = N;

  for (int j = 1; j <= M; j++) {
    int i = 1;
    while (i <= N and Primosztok1[i - 1] != Primosztok2[j - 1]) {
      i++;
    }
    if (i > N) {
      Db = Db + 1;
      Primosztok_LKKT[Db - 1] = Primosztok2[j - 1];
    }
  }
}

void Kiiras(const int Db, const LKKTEgeszek Primosztok_LKKT) {
  clog << "Legkisebb kozos tobbszorosuk primosztok darabszama: " << endl;
  cout << Db << endl;
  clog << "Legkisebb kozos tobbszorosuk primosztoi: " << endl;
  for (int i = 1; i <= Db; i++) {
    cout << Primosztok_LKKT[i - 1] << " ";
  }
  cout << endl;
}

int main() {
  
  Beolvasas(N, Primosztok1, M, Primosztok2);
  Egyesites(N, Primosztok1, M, Primosztok2, Db, Primosztok_LKKT);
  Kiiras(Db, Primosztok_LKKT);
  
  return 0;
}