﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, string[] Nyáriak, out int M, string[] Téliek)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Hány madarat figyetél még nyáron?");
            N = Convert.ToInt32(Console.ReadLine());
            //A bemenetet nem ellenőrizzük sem szintaktikai, sem szemantikai szempontból. (1<=N<=MaxN)
            for (int i = 0; i < N; i++)//Egy számlálós ciklussal végig megyünk a tömb elemein
            {
                Console.Error.WriteLine("Írd be a(z) " + (i + 1) + ". nyári madár nevét:");
                Nyáriak[i]=Console.ReadLine();//Nincs konverzió, mert szöveg típusú a tömb
            }
            Console.Error.WriteLine("Hány madarat figyetél még télen?");
            M = Convert.ToInt32(Console.ReadLine());
            //A bemenetet nem ellenőrizzük sem szintaktikai, sem szemantikai szempontból. (1<=N<=MaxN)
            for (int i = 0; i < M; i++)//Egy számlálós ciklussal végig megyünk a tömb elemein
            {
                Console.Error.WriteLine("Írd be a(z) " + (i + 1) + ". téli madár nevét:");
                Téliek[i] = Console.ReadLine();//Nincs konverzió, mert szöveg típusú a tömb
            }
        }

        static void Metszet(int N, string[] Nyáriak, int M, string[] Téliek, out int Db, string[] Nem_költözők)
        {
            Db = 0;
            for (int i = 1; i < N; i++)
            {
                int j = 0;
                while (j<M && Nyáriak[i] != Téliek[j])
                {
                    j++;
                }
                if (j<M)
                {
                    Db++;
                    Nem_költözők[Db - 1] = Nyáriak[i];
                }
            }
        }

        static void Kiírás(int Db, string[] Nem_Költözők)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("A nyáron és télen megfigyelt madarak darabszáma és neveik: ");
            Console.Write(Db+" ");
            for (int i=0;i<Db;i++)
            {
                Console.Write(Nem_Költözők[i] + " ");
            }
            Console.WriteLine();
        }

        static void Main(string[] args)
        {
            //F2. Nyáron és télen is végeztünk madármegfigyeléseket a Balatonon.
            //Ismerjük, hogy nyáron, illetve télen mely madárfajok fordultak elő.
            //Állapítsuk meg ezek alapján, hogy melyek a nem költöző madarak!
            //Maximális elemszám
            const int MaxN = 100;
            //A tömbok elemszámának deklarálása
            int N;
            int M;
            //Bemeneti tömbök deklarálása
            string[] Nyáriak = new string[MaxN];
            string[] Téliek = new string[MaxN];
            //Kimeneti adatok deklarálása
            int Db;
            //Beolvasás
            Beolvasás(out N, Nyáriak, out M, Téliek);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Kimeneti tömb deklarálása
            string[] Nem_Költözők = new string[Math.Min(N,M)];//Megadja két szám közül a kisebbet
            //Lényegi megoldás
            Metszet(N, Nyáriak, M, Téliek, out Db, Nem_Költözők);
            //Kiírás
            Kiírás(Db,Nem_Költözők);
        }
    }
}
