﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, int[] Prímosztók1, out int M, int[] Prímosztók2)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Kérem az első szám prímosztóit! ");
            N = Convert.ToInt32(Console.ReadLine());
            //A tömb beolvasása
            for (int i = 0; i<N; i++)
            {
                Console.Error.WriteLine("A(z) "+(i+1)+". elem: ");
                Prímosztók1[i] = Convert.ToInt32(Console.ReadLine());
            }
            Console.Error.WriteLine("Kérem a második szám prímosztóit! ");
            M = Convert.ToInt32(Console.ReadLine());
            //A tömb beolvasása
            for (int i = 0; i < M; i++)
            {
                Console.Error.WriteLine("A(z) " + (i + 1) + ". elem: ");
                Prímosztók2[i] = Convert.ToInt32(Console.ReadLine());
            }
        }

        static void Egyesítés(int N, int[] Prímosztók1, int M, int[] Prímosztók2, out int Db, int[] Prímosztók_LKKT)
        {
            for (int i=0;i<N;i++)//Prímosztók_LKKT = Prímosztók1;
            {
                Prímosztók_LKKT[i] = Prímosztók1[i];
            }
            Db = N;
            for (int j=0;j<M;j++)
            {
                int i = 0;
                while (i < N && Prímosztók1[i]!=Prímosztók2[j])
                {
                    i++;
                }
                if (i >= N)
                {
                    Db++;
                    Prímosztók_LKKT[Db - 1] = Prímosztók2[j];
                }
            }
        }

        static void Kiírás(int Db, int[] Prímosztók_LKKT)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("A prímosztók egyesítésének darabszáma és az elemek: ");
            Console.Write(Db + " ");
            for (int i=0;i<Db;i++)
            {
                Console.Write(Prímosztók_LKKT[i]+" ");
            }
            Console.WriteLine();
        }

        static void Main(string[] args)
        {
            // F4.Két szám prímosztóinak ismeretében adjuk meg legkisebb közös többszörösük prímosztóit!
            //Maximális elemszám
            const int MaxN = 100;
            //A tömb elemszámának deklarálása
            int N;
            int M;
            //A tömbök deklarálása
            int[] Prímosztók1 = new int[MaxN];
            int[] Prímosztók2 = new int[MaxN];
            //Kimeneti adatok deklarálása
            int Db;
            //Beolvasás
            Beolvasás(out N, Prímosztók1, out M, Prímosztók2);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Kimeneti tömb
            int[] Prímosztók_LKKT = new int[N+M];
            //Lényegi megoldás
            Egyesítés(N,Prímosztók1,M,Prímosztók2,out Db,Prímosztók_LKKT);
            //Kiírás
            Kiírás(Db,Prímosztók_LKKT);
        }
    }
}
