'''
Nyáron és télen is végeztünk madármegfigyeléseket a Balatonon. Ismerjük, hogy nyáron, illetve télen mely madárfajok fordultak elő. Állapítsuk meg ezek alapján, hogy melyek a nem költöző madarak!
'''
import sys

def Beolvasás():
    X=[]    #nyáriak
    Y=[]    #téliek
    sys.stderr.write("Hány madárfajta van nyáron? ")
    N=int(input())
    for i in range(N):
        sys.stderr.write("Az "+str(i+1)+". madárfajtát: ")
        X.append(input())   # a beolvasott megnevezést azonnal a listába illesztjük
    sys.stderr.write("Hány madárfajta van télen? ")
    M=int(input())
    for i in range(M):
        sys.stderr.write("Az "+str(i+1)+". madárfajtát: ")
        Y.append(input())   # a beolvasott megnevezést azonnal a listába illesztjük
    return (X,Y)      #elegendő csak a listákat visszaadni, a hosszakat tudhatjuk  
        

def Metszet(X,Y):
          #db:=0 utasításra nincs szükség a Pythonban, a lista végéhez hozzá tudunk fűzni az append segítségével
  N=len(X)
  M=len(Y)
  Z=[]
  for  i in range(N):   #                         [kiválogatás]
    j=0                 # 0-tól indexelünk
    while j<M and X[i]!=Y[j]:   #                 [eldöntés]
      j+=1
    if j<M:
        Z.append(X[i])
  return Z  #elég az eredménylistát visszaadni
 

def Kiirás(Z):
    sys.stderr.write("Nem költöző madarak: ");    
    print(str(len(Z)),end=" ")
    for madár in Z:
        print(madár, end=" ")
    
(X,Y)=Beolvasás()
Z=Metszet(X,Y)
Kiirás(Z)
